<template>
  <div
    class="container mx-auto pt-32 pb-28 bg-cover bg-no-repeat bg-center"
    :style="{ backgroundImage: `url(${backgroundSection14})` }"
    data-aos="fade-up"
    data-aos-offset="200"
    data-aos-delay="100"
    data-aos-duration="1000"
    data-aos-easing="ease-in-out"
    data-aos-once="false"
  >
    <div class="text-center">
      <span
        class="w-[45px] h-[3px] bg-primary-400 inline-block relative -left-4 -top-[6px]"
      ></span>
      <span class="text-2xl text-white font-bold">Contact Us</span>
      <span
        class="w-[45px] h-[3px] bg-primary-400 inline-block relative -right-4 -top-[6px]"
      ></span>
      <div class="lg:px-36 mx-auto mt-12 mb-20 lg:w-[70%]">
        <h2 class="text-2xl lg:text-5xl font-bold leading-tight text-white">
          Don't Hesitated To Contact Us
        </h2>
      </div>
      <div class="grid grid-cols-1 lg:grid-cols-3 lg:gap-10">
        <div class="">
          <div class="flex justify-end items-center gap-4 mb-8">
            <div class="text-right">
              <span class="text-gray-400 text-lg font-semibold"
                >Phone Number</span
              >
              <h4 class="text-2xl text-white font-bold">+909-632-1643</h4>
            </div>
            <div
              class="w-16 h-16 flex justify-center items-center border-4 border-dashed border-gray-500 rounded-full"
            >
              <div
                class="w-11 h-11 flex justify-center items-center text-white bg-primary-400 rounded-full"
              >
                <font-awesome-icon icon="fa-solid fa-phone" class="text-xl" />
              </div>
            </div>
          </div>
          <div class="flex justify-end items-center gap-4 mb-8">
            <div class="text-right">
              <span class="text-gray-400 text-lg font-semibold"
                >Email Address</span
              >
              <h4 class="text-2xl text-white font-bold">support@gmail.com</h4>
            </div>
            <div
              class="w-16 h-16 flex justify-center items-center border-4 border-dashed border-gray-500 rounded-full"
            >
              <div
                class="w-11 h-11 flex justify-center items-center text-white bg-primary-400 rounded-full"
              >
                <font-awesome-icon icon="fa-solid fa-phone" class="text-xl" />
              </div>
            </div>
          </div>
          <div class="flex justify-end items-center gap-4 mb-8">
            <div class="text-right">
              <span class="text-gray-400 text-lg font-semibold"
                >Main Office</span
              >
              <h4 class="text-2xl text-white font-bold">
                Acexus Transportation Inc 8595 Milliken Ave, Suite 101 Rancho
                Cucamonga, CA 91730
              </h4>
            </div>
            <div
              class="min-h-[64px] min-w-[64px] flex flex-1 justify-center items-center border-4 border-dashed border-gray-500 rounded-full"
            >
              <div
                class="w-11 h-11 flex justify-center items-center text-white bg-primary-400 rounded-full"
              >
                <font-awesome-icon icon="fa-solid fa-phone" class="text-xl" />
              </div>
            </div>
          </div>
        </div>
        <div class="col-span-2 grid grid-cols-1 lg:grid-cols-2">
          <div class="col-span-2 lg:col-span-1">
            <div class="px-4 flex items-center relative mb-8">
              <input
                type="text"
                class="w-full h-12 outline-none border-b-2 bg-transparent border-solid border-gray-500 pl-4 text-xl text-white focus:border-white"
                placeholder="Your Name"
              />
              <font-awesome-icon
                icon="fa-solid fa-user"
                class="text-primary-400 text-lg absolute right-4"
              />
            </div>
            <div class="px-4 flex items-center relative mb-8">
              <input
                type="text"
                class="w-full h-12 outline-none border-b-2 bg-transparent border-solid border-gray-500 pl-4 text-xl text-white focus:border-white"
                placeholder="Phone Number"
              />
              <font-awesome-icon
                icon="fa-solid fa-phone"
                class="text-primary-400 text-lg absolute right-4"
              />
            </div>
          </div>
          <div>
            <div class="px-4 flex items-center relative mb-8">
              <input
                type="text"
                class="w-full h-12 outline-none border-b-2 bg-transparent border-solid border-gray-500 pl-4 text-xl text-white focus:border-white"
                placeholder="Email Address"
              />
              <font-awesome-icon
                icon="fa-solid fa-envelope"
                class="text-primary-400 text-lg absolute right-4"
              />
            </div>
            <div class="px-4 flex items-center relative mb-8">
              <input
                type="text"
                class="w-full h-12 outline-none border-b-2 bg-transparent border-solid border-gray-500 pl-4 text-xl text-white focus:border-white"
                placeholder="Your Subject"
              />
              <font-awesome-icon
                icon="fa-solid fa-chevron-down"
                class="text-primary-400 text-lg absolute right-4"
              />
            </div>
          </div>
          <div class="col-span-2 px-4 relative">
            <textarea
              name=""
              cols="30"
              rows="10"
              class="w-full h-28 text-white text-lg py-0 px-5 bg-transparent outline-none border-b-2 border-solid border-gray-400 focus:border-white"
              placeholder="Send message"
            ></textarea>
            <font-awesome-icon
              icon="fa-solid fa-pen"
              class="text-primary-400 text-lg absolute right-4"
            />
          </div>
          <div class="text-center mt-16">
            <v-btn
              type="outline"
              class="py-6 px-14 uppercase text-primary-400 rounded-[50px] transition duration-300 hover:-translate-y-2.5 ease-ease"
              >send request
              <font-awesome-icon icon="fa-solid  fa-paper-plane" class="ml-4" />
            </v-btn>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import backgroundSection14 from '@/assets/img/bg/09.jpg'

export default {
  layout: 'defaultHeader',
  data() {
    return {
      backgroundSection14,
    }
  },
}
</script>
